package ru.redguy.extendedpistons;

import net.milkbowl.vault.permission.Permission;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.plugin.RegisteredServiceProvider;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.HashMap;

public final class ExtendedPistons extends JavaPlugin {

    public static ExtendedPistons INSTANCE;

    public FileConfiguration conf;
    public Permission permsService = null;

    @Override
    public void onEnable() {
        INSTANCE = this;

        conf = getConfig();
        if(!conf.isSet("piston-move-limitations"))
            conf.set("piston-move-limitations",new HashMap<String, Integer>() {{
                put("default", 8);
                put("vip", 12);
                put("premium", 20);
            }});
        saveConfig();

        RegisteredServiceProvider<Permission> rsp = getServer().getServicesManager().getRegistration(Permission.class);
        permsService = rsp.getProvider();

        Bukkit.getPluginManager().registerEvents(new WorldListener(), this);
    }

    @Override
    public void onDisable() {

    }
}
